Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.wms.control
Class ScaleBarSwitcherListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.wms.control.AbstractMapListener
              org.deegree.portal.standard.wms.control.ScaleBarSwitcherListener

All Implemented Interfaces:
  EventListener, WebListener

    public class ScaleBarSwitcherListener

extends AbstractMapListener

The ScaleSwitcherListner handles switching the scalebar values from igeoportal

Version:
  $$Revision: 18195 $$, $$Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $$
Author:
  Serge N'Cho, last edited by: $$Author: mschneider $$

Field Summary
`static String` | `BBOX` Comment for "BBOX"
`static String` | `NEW_BBOX` Comment for "newBBox"
`static String` | `NEW_SCALE_BAR_VALUE` Comment for "newScaleBarValue"
`static String` | `SCALE_BAR_VALUE` Comment for "scaleBarValue"
`static String` | `TASK_FROM_LISTENER` Comment for "taskFromListener"
`static String` | `UNIT` Comment for "unit"

Constructor Summary
`ScaleBarSwitcherListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`

Methods inherited from class org.deegree.portal.standard.wms.control.AbstractMapListener
`getScale, toMap`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNIT

    public static final String UNIT

  Comment for "unit"

  See Also:
    Constant Field Values

### TASK_FROM_LISTENER

    public static final String TASK_FROM_LISTENER

  Comment for "taskFromListener"

  See Also:
    Constant Field Values

### SCALE_BAR_VALUE

    public static final String SCALE_BAR_VALUE

  Comment for "scaleBarValue"

  See Also:
    Constant Field Values

### NEW_SCALE_BAR_VALUE

    public static final String NEW_SCALE_BAR_VALUE

  Comment for "newScaleBarValue"

  See Also:
    Constant Field Values

### BBOX

    public static final String BBOX

  Comment for "BBOX"

  See Also:
    Constant Field Values

### NEW_BBOX

    public static final String NEW_BBOX

  Comment for "newBBox"

  See Also:
    Constant Field Values

Constructor Detail

### ScaleBarSwitcherListener

    public ScaleBarSwitcherListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Overrides:
    `actionPerformed` in class `AbstractMapListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org